<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>com.tsconsulting.dsubbotin.tm</groupId>
    <artifactId>task-manager</artifactId>
    <version>1.33.2</version>
    <packaging>pom</packaging>
    <name>task-manager</name>
    <url>http://www.tsconsulting.com/</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>15</maven.compiler.source>
        <maven.compiler.target>15</maven.compiler.target>
    </properties>

    <developers>

        <developer>
            <id>dsubbotin</id>
            <name>Dmitriy Subbotin</name>
            <email>dsubbotin@tsconsulting.com</email>
            <organization>TechnoServConsulting</organization>
            <url>http://www.tsconsulting.com/</url>
        </developer>

    </developers>

    <modules>
        <module>tm-server</module>
        <module>tm-client</module>
    </modules>

    <build>
        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <source>${maven.compiler.source}</source>
                    <target>${maven.compiler.target}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>

        </plugins>
    </build>

</project>